export declare class ResizeController {
    private element;
    private cb;
    private resizeObserver;
    private readonly supported;
    constructor(element: HTMLElement, cb: () => void, wait?: number);
    connect(): void;
    disconnect(): void;
    onDidRender(): void;
    private onTransitionEnd;
}
